package com.yidianling.consultant.bean;

import java.util.List;

public class ExpertSearchRecommandBean {

    /**
     * id : 68
     * specialTopicName : 3
     * specialTopicType : 1
     * specialTopicTitle : 婚姻幸福
     * specialTopicSubhead : 副标题副标题1
     * status : 0
     * weight : 1
     * jumpWay : 1
     * createTime : Dec 13, 2019 9:35:47 PM
     * updateTime : Dec 16, 2019 5:44:47 PM
     * createrId : 11
     * specialTopicUrl : https://testh2.yidianling.com/post/view-out/139?last_source=app
     * topicImages : [{"id":103,"parentId":68,"iamgeType":2,"isShow":1,"createTime":"Dec 13, 2019 9:35:47 PM","updateTime":"Dec 16, 2019 4:31:55 PM","createrId":1,"imageUrl":"https://pic.ydlcdn.com/6n5AcChhYa.png"},{"id":140,"parentId":68,"iamgeType":1,"isShow":1,"createTime":"Dec 16, 2019 4:28:05 PM","updateTime":"Dec 16, 2019 4:30:13 PM","createrId":1,"imageUrl":"https://pic.ydlcdn.com/6n5AcChhYa.png"},{"id":152,"parentId":68,"iamgeType":3,"isShow":1,"createTime":"Dec 16, 2019 4:32:18 PM","updateTime":"Dec 16, 2019 4:34:15 PM","createrId":1,"imageUrl":"https://pic.ydlcdn.com/6n5AcChhYa.png"}]
     */

    private int id = 0;
    private String specialTopicName = "";
    private int specialTopicType = 0;
    private String specialTopicTitle = "";
    private String specialTopicSubhead = "";
    private int status = 0;
    private int weight = 0;
    private int jumpWay = 0;
    private String createTime = "";
    private String updateTime = "";
    private int createrId = 0;
    private String specialTopicUrl = "";
    private List<TopicImagesBean> topicImages;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getSpecialTopicName() {
        return specialTopicName;
    }

    public void setSpecialTopicName(String specialTopicName) {
        this.specialTopicName = specialTopicName;
    }

    public int getSpecialTopicType() {
        return specialTopicType;
    }

    public void setSpecialTopicType(int specialTopicType) {
        this.specialTopicType = specialTopicType;
    }

    public String getSpecialTopicTitle() {
        return specialTopicTitle;
    }

    public void setSpecialTopicTitle(String specialTopicTitle) {
        this.specialTopicTitle = specialTopicTitle;
    }

    public String getSpecialTopicSubhead() {
        return specialTopicSubhead;
    }

    public void setSpecialTopicSubhead(String specialTopicSubhead) {
        this.specialTopicSubhead = specialTopicSubhead;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getWeight() {
        return weight;
    }

    public void setWeight(int weight) {
        this.weight = weight;
    }

    public int getJumpWay() {
        return jumpWay;
    }

    public void setJumpWay(int jumpWay) {
        this.jumpWay = jumpWay;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public int getCreaterId() {
        return createrId;
    }

    public void setCreaterId(int createrId) {
        this.createrId = createrId;
    }

    public String getSpecialTopicUrl() {
        return specialTopicUrl;
    }

    public void setSpecialTopicUrl(String specialTopicUrl) {
        this.specialTopicUrl = specialTopicUrl;
    }

    public List<TopicImagesBean> getTopicImages() {
        return topicImages;
    }

    public void setTopicImages(List<TopicImagesBean> topicImages) {
        this.topicImages = topicImages;
    }

    public static class TopicImagesBean {
        /**
         * id : 103
         * parentId : 68
         * iamgeType : 2
         * isShow : 1
         * createTime : Dec 13, 2019 9:35:47 PM
         * updateTime : Dec 16, 2019 4:31:55 PM
         * createrId : 1
         * imageUrl : https://pic.ydlcdn.com/6n5AcChhYa.png
         */

        private int id = 0;
        private int parentId = 0;
        private int imageType = 0;
        private int isShow = 0;
        private String createTime = "";
        private String updateTime = "";
        private int createrId = 0;
        private String imageUrl = "";

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getParentId() {
            return parentId;
        }

        public void setParentId(int parentId) {
            this.parentId = parentId;
        }

        public int getImageType() {
            return imageType;
        }

        public void setImageType(int iamgeType) {
            this.imageType = iamgeType;
        }

        public int getIsShow() {
            return isShow;
        }

        public void setIsShow(int isShow) {
            this.isShow = isShow;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public int getCreaterId() {
            return createrId;
        }

        public void setCreaterId(int createrId) {
            this.createrId = createrId;
        }

        public String getImageUrl() {
            return imageUrl;
        }

        public void setImageUrl(String imageUrl) {
            this.imageUrl = imageUrl;
        }
    }
}
